.TH HISTOGRAM L

.SH NAME
histogram - reads a data file and creates a histogram representing the data.

.SH SYNOPSIS
histogram
.I [foo(.dat)]

.SH DESCRIPTION
.I histogram
reads a file
.I foo.dat
(default is standard input) which contains a single column of numbers.
These numbers represent the data points you wish to represent in a
histogram.
.I histogram
then checks for the presence of the file
.I hist.inp
from which to read input parameters.  If this file is not present,
.I histogram
checks for the file
.I foo.inp
from which to read the input parameters.  If this file is also not present,
the input parameters are read from standard input.  If the data was read from
standard input, the input parameters are also read from standard input.
.P
The input parameters are used for setting the histogram parameters and are:
.HP
- The minimum value for the x-axis.
.HP
- The maximum value for the x-axis.
.HP
- The number of data values (i.e. the number of bars) which will appear on
the histogram.
.HP
- The minimum value for the y-axis.
.HP
- The maximum value for the y-axis.
.HP
- The tick spacing for the x-axis.  This is the spacing of the numbers which
will appear on the plot.
.HP
- The tick spacing for the y-axis.
.HP
- The graph coordinates for the box containing the data statistics.  The
pair should be entered as "x,y".
.P
.I histogram
will prompt the user for these parameters so this should be
easily done if the parameters are entered by hand.
.P
Now
.I histogram
will process all the information and produce a
.I LaTeX
file which may be processed to produce the histogram.  You may also edit
this file to make a
.I LaTeX
file to include in another document.

.SH FILES
.TP 2.2i
.I /home/andrew/bin/histogram
executable script.
.TP 2.2i
.I /home/andrew/public_html/software/Perl/histogram/doc/doc.tex
.I LaTeX
documentation file.

.SH SEE ALSO
latex(1)

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
